%define upstream_name    Parse-Eyapp
%define upstream_version 1.182

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12
BuildArch:  noarch
Summary:    Bottom up parser generator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util) >= 1.0.0
BuildRequires: perl(Pod::Usage) >= 1.0.0
BuildRequires: perl-devel
%description
Parse::Eyapp (Extended yapp) is a collection of modules that extends Francois
Desarmenien Parse::Yapp 1.05. Eyapp extends yacc/yapp syntax with
functionalities like named attributes, EBNF-like expressions, modifiable
default action (like Parse::RecDescent autoaction), grammar reuse, automatic
abstract syntax tree building, syntax directed data generation, translation
schemes, tree regular expressions, tree transformations, scope analysis
support, directed acyclic graphs and a few more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/eyapp
%{_bindir}/treereg
%{perl_vendorlib}/Parse


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.182.0-12.mga6
+ Revision: 1031702
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.182.0-11.mga6
+ Revision: 971512
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 1.182.0-10.mga6
+ Revision: 891797
- make it noarch thus fixing empty debuginfo

* Sun Oct 19 2014 pterjan <pterjan> 1.182.0-9.mga5
+ Revision: 791752
- Rebuild to fix broken dependencies

* Sun Oct 19 2014 umeabot <umeabot> 1.182.0-8.mga5
+ Revision: 789588
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.182.0-7.mga5
+ Revision: 749871
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.182.0-6.mga5
+ Revision: 725866
- use %%perl_default_filter (fix excludes)

* Fri Sep 26 2014 tv <tv> 1.182.0-5.mga5
+ Revision: 725156
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.182.0-4.mga5
+ Revision: 685894
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.182.0-3.mga4
+ Revision: 513926
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.182.0-2.mga3
+ Revision: 371530
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.182.0-1.mga3
+ Revision: 255310
- update to 1.182

* Tue Feb 22 2011 jquelin <jquelin> 1.181.0-1.mga1
+ Revision: 56738
- update to 1.181

* Wed Feb 16 2011 jquelin <jquelin> 1.180.0-1.mga1
+ Revision: 52637
- update to 1.180

* Sun Jan 23 2011 jquelin <jquelin> 1.178.0-1.mga1
+ Revision: 34124
- mageia rebuild
- imported package perl-Parse-Eyapp


* Tue Jan 04 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.178.0-1mdv2011.0
+ Revision: 628596
- update to new version 1.178

* Sun Dec 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.176.0-1mdv2011.0
+ Revision: 625278
- update to new version 1.176
- update to new version 1.174

* Mon Dec 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.172.0-1mdv2011.0
+ Revision: 612251
- update to new version 1.172

* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.171.0-1mdv2011.0
+ Revision: 602980
- new version

* Sun Nov 07 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.170.0-1mdv2011.0
+ Revision: 594367
- update to new version 1.170

* Sun Jul 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.165.0-1mdv2011.0
+ Revision: 558807
- new version

* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.164.0-1mdv2011.0
+ Revision: 553972
- update to 1.164

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.163.0-1mdv2011.0
+ Revision: 552533
- update to 1.163

* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 1.160.0-1mdv2010.1
+ Revision: 536210
- update to 1.160

* Wed Mar 31 2010 Jérôme Quelin <jquelin@mandriva.org> 1.158.0-1mdv2010.1
+ Revision: 530266
- update to 1.158

* Sun Feb 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.157.0-1mdv2010.1
+ Revision: 508994
- new version

* Sun Jan 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.154.0-1mdv2010.1
+ Revision: 492672
- import perl-Parse-Eyapp


* Sun Jan 17 2010 cpan2dist 1.154-1mdv
- initial mdv release, generated with cpan2dist
